<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="io.renren.modules.generator.dao.AlgorithmParameterDao">
    <resultMap id="algorithmParameterMap" type="io.renren.modules.generator.entity.AlgorithmParameter">
        <result property="algorithmParameterId" column="algorithmParameter_id"/>
        <result property="algorithmParameterName" column="algorithm_parameter_name"/>
        <result property="algorithmId" column="algorithm_id"/>
        <result property="algorithmParameterType" column="algorithm_parameter_type"/>
    </resultMap>
    <sql id="Base_Column_List">
        algorithm_parameter_id,algorithm_parameter_name,algorithm_id,algorithm_parameter_type
    </sql>
    <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="algorithmParameterMap">
        select
        <include refid="Base_Column_List" />
        from algorithm_parameter
        where algorithm_id = #{algorithmId,jdbcType=BIGINT}
    </select>
</mapper>